MCP Tools Reference: paydeveloper.googleapis.com

工具:update_merchant

更新現有商家的特定欄位。支援的欄位包括 display_name、mcc、corporate_website_url、customer_support_website_url、customer_support_email 和 customer_support_phone。

下列程式碼範例說明如何使用 curl 呼叫 update_merchant MCP 工具。

Curl 要求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "update_merchant",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

輸入內容的結構定義

UpdateMerchant 的要求訊息。

UpdateMerchantFacadeRequest

JSON 表示法
{
  "merchantId": string,

  // Union field _display_name can be only one of the following:
  "displayName": string
  // End of list of possible types for union field _display_name.

  // Union field _mcc can be only one of the following:
  "mcc": enum (Mcc)
  // End of list of possible types for union field _mcc.

  // Union field _corporate_website_url can be only one of the following:
  "corporateWebsiteUrl": string
  // End of list of possible types for union field _corporate_website_url.

  // Union field _customer_support_website_url can be only one of the following:
  "customerSupportWebsiteUrl": string
  // End of list of possible types for union field _customer_support_website_url.

  // Union field _customer_support_email can be only one of the following:
  "customerSupportEmail": string
  // End of list of possible types for union field _customer_support_email.

  // Union field _customer_support_phone can be only one of the following:
  "customerSupportPhone": string
  // End of list of possible types for union field _customer_support_phone.
}
欄位
merchantId

string

必填。要更新的商家商家 ID。

聯集欄位 _display_name

_display_name 只能是下列其中一項:

displayName

string

商家的顯示名稱。

聯集欄位 _mcc

_mcc 只能是下列其中一項:

mcc

enum (Mcc)

商家的 MCC (商家類別代碼)。

聯集欄位 _corporate_website_url

_corporate_website_url 只能是下列其中一項:

corporateWebsiteUrl

string

商家的公司網站。

聯集欄位 _customer_support_website_url

_customer_support_website_url 只能是下列其中一項:

customerSupportWebsiteUrl

string

商家的客戶服務網站。

聯集欄位 _customer_support_email

_customer_support_email 只能是下列其中一項:

customerSupportEmail

string

商家的客戶服務電子郵件地址。

聯集欄位 _customer_support_phone

_customer_support_phone 只能是下列其中一項:

customerSupportPhone

string

商家的客戶服務電話。

Mcc

商家的商家類別代碼 (MCC)。

列舉
OTHERS 其他
MISC_FOOD_STORES 其他食品商店 - 便利商店和特色市場
MISC_APPAREL 其他服飾與配件商店
ARTISTS_SUPPLY 美術用品和手工藝商店
AUTOMOTIVE_PARTS 汽車零件、配件商店
HEALTH_AND_BEAUTY 保健與美容用品店
BOOKS_PERIODICALS 書籍、期刊和報紙
CAMERA_STORES 相機和攝影器材店
COMPUTERS_EQUIPMENT 電腦、電腦周邊設備、軟體
COMPUTER_SOFTWARE 電腦軟體商店
ELECTRONICS_SALES 電子產品銷售
GIFT_SHOPS 卡片商店、禮品店、新奇物品店和紀念品店
EATING_PLACES 飲食場所和餐廳
MISC_GENERAL_MERCHANDISE 其他一般商品
HOME_SUPPLY 居家用品倉庫商店
COMPUTER_NETWORK_SERVICES 電腦網路服務
DIGITAL_GOODS_MEDIA 數位商品:書籍、電影、音樂
DIGITAL_GOODS_GAMES 數位商品:遊戲
DIGITAL_GOODS_APPLICATIONS 數位商品:應用程式 (不含遊戲)
POLITICAL_ORGANIZATIONS 政治組織
CHARITABLE_ORGANIZATIONS 慈善和社會服務機構
DRUG_STORES 藥妝店和藥房
REAL_ESTATE_RENTALS 房地產經紀公司和經紀人 - 出租
MISC_PERSONAL_SERVICES 其他個人服務,未分類
SPORTING_GOODS 運動用品店
STATIONERY_OFFICE_SUPPLIES 文具、辦公用品、印刷和書寫紙
THEATRICAL_TICKET_AGENCIES 劇場票務機構
TIMESHARES 分時度假
TOURIST_ATTRACTIONS 觀光景點和展覽
HOBBY_TOY_GAME_SHOPS 嗜好、玩具和遊戲商店
PET_SHOPS 寵物店、寵物食品和用品商店
OTHER_LODGING 其他住宿服務:飯店、汽車旅館、渡假村
TELECOMMUNICATION_SERVICES 電信服務
TRANSPORTATION_SERVICES 交通運輸服務
OTHER_AIRLINES 其他航空公司
TRAVEL_AGENCIES 旅行社和旅遊業者
GOVERNMENT_OWNED_LOTTERIES_US 政府經營的彩券 (僅限美國地區)
GOVERNMENT_LICENSED_CASINOS_US 政府核發執照的線上賭場 (線上賭博) (僅限美國境內)
BETTING 投注 (包括彩券、賭場遊戲籌碼、場外投注和賭注)
GOVERNMENT_OWNED_LOTTERIES_NON_US 政府擁有的彩券 (非美國地區)

輸出內容的結構定義

UpdateMerchant 的回應訊息。

UpdateMerchantResponse

JSON 表示法
{
  "state": enum (State)
}
欄位
state

enum (State)

更新後商家的狀態。

商家的狀態。

列舉
STATE_UNSPECIFIED 未指定商家狀態。
VERIFIED 商家已通過驗證並獲得核准。
IN_REVIEW 商家資料編輯內容正在審核中。
REJECTED 商家檔案編輯內容遭拒。
INCOMPLETE_SIGNUP 商家檔案不完整。
SANCTIONS_HIT 商家檔案受到制裁。
READY_FOR_REVIEW 商家檔案已填寫完畢,可以開始審查。
DISABLED 商家設定檔已停用/無效。

工具註解

工具註解會傳送至 MCP 用戶端,說明特定工具的基本風險。大多數用戶端會將這些提示視為不受信任,但可用於決定何時向使用者傳送確認提示。

除了標題字串外,以下布林提示的定義如下:

  • readOnlyHint:如果為 true,工具不會修改環境。預設值:false。
  • destructiveHint:如果為 true,工具可以執行破壞性動作。如果為 false,工具只能執行加法動作。預設值:true。
  • idempotentHint:如果為 true,以相同引數重複呼叫工具,對環境不會有額外影響。預設值:false。
  • openWorldHint:設為 true 時,工具可以與外部實體的「開放世界」互動。如果為 false,工具只能與內部實體互動。舉例來說,網頁搜尋工具屬於開放世界,記憶體工具則不屬於開放世界。

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:❌ | 開放世界提示:❌